Rust Search

Find the best content on Rust, curated by the community; a search engine for Rustaceans.
github.com
github.com / Pretzelhammer Topics: Lifetime misconceptions, sizedness, learning guides Why RustGrep includes it: Common Rust Lifetime Misconceptions is one of the most-shared Rust articles. Categories: educator
Blog 2026-07-27 ~1 min read
github.com
Summary Re-organise the library team: • Re-define and rename the categories of membership • Change how team members are selected • Document expectations of team members and maintainers • Define how FCPs are handled by the team Motivation Th...
RFC 3984 RFC 2026-07-15 ~17 min read
github.com
Summary Change i686-pc-windows-msvc from • Tier 1 target with std support and host tools into only • Tier 1 target with std support, dropping host tools. Motivation Background Rust has, since 1.0, supported almost every architecture for whi...
RFC 3999 RFC 2026-07-02 ~9 min read
github.com
Summary An extern "custom" fn is a function with a custom ABI that is unknown to Rust. Often these are low-level functions that pass arguments in different registers than any standard calling convention, so using extern "custom" helps rustc...
RFC 3980 RFC 2026-07-01 ~5 min read
github.com
Summary Add a f16b type to core::num for the 16-bit Brain Floating Point format. Similar to the f32 type, a f16b has a similar layout to the f32, keeping the same 1-bit sign and 8-bit exponent layout but only storing the top 7 fraction bits...
RFC 3983 RFC 2026-05-27 ~20 min read
github.com
Summary Add support for the de facto standard TeX-math-in-markdown syntax to Rustdoc. It’s currently implemented using the math-core library, which generates MathML Core and is restricted to the subset of LaTeX that can be implemented that...
RFC 3958 RFC 2026-04-30 ~12 min read
github.com
Summary Allow (optional) named function parameters in parenthesized generic argument lists, such as those of Fn, FnMut, FnOnce, AsyncFn, AsyncFnMut, and AsyncFnOnce. For example: fn parse_my_data( data: &str, log: impl Fn(msg: String, prior...
RFC 3955 RFC 2026-04-24 ~4 min read
github.com
Summary Someday, we would like to enable people to log in to crates.io with other services in addition to GitHub. This RFC is not yet about adding other services for login. It is proposing that crates.io change to have the concept of a "cra...
RFC 3946 RFC 2026-04-07 ~28 min read
github.com
Summary Allow disabling default features locally when inheriting a dependency. [workspace] [workspace.dependencies] serde = "1" [package] name = "foo" [dependencies] serde = { workspace = true, default-features = false } Motivation Say you...
RFC 3945 RFC 2026-04-06 ~5 min read
github.com
Summary Establish the initial round of Rust Project Goals for 2026 along with a set of current roadmaps, which describe multi-year development arcs. New Rust Project Goals may be added over the course of the year but only if all required re...
RFC 3935 RFC 2026-02-23 ~53 min read
github.com
Summary This RFC defines the relationship between the Rust Foundation Maintainer Fund (RFMF) and the open-source Rust project. The RFMF is a dedicated fund used to support Rust maintenance: open-ended, multiplicative work that improves Rust...
RFC 3931 RFC 2026-02-23 ~33 min read
github.com
Summary This proposal adds a new configuration option to cargo allowing users to specify a minimum age for dependency versions. When specified, Cargo won't use a version of a registry crate that is newer than the minimum age, with a way to...
RFC 3923 RFC 2026-02-23 ~17 min read
github.com
Summary Allow Rust library to provide a simple hint about the minimum opt-level to build them with. Motivation When people build Rust projects, they have a choice of tradeoffs between the speed of the build and the performance of the code a...
RFC 3924 RFC 2026-02-22 ~7 min read
github.com
Summary The todo!() macro is meant as a placeholder, often used to make type check pass while still writing the code. However, since it diverges, all code that comes after it is marked as unreachable. The author proposes changing that to re...
RFC 3928 RFC 2026-01-31 ~4 min read
github.com
## Summary [summary]: #summary FFI-compatible and calling-convention-compatible complex types are to be introduced into `core` to ensure synchronity with C primitives. ## Motivation [motivation]: #motivation The C standard defines the _memo...
RFC 3892 RFC 2025-12-02 ~7 min read
github.com
## Summary [summary]: #summary This RFC proposes that crates.io should provide insight into vulnerabilities and unsound API surface based on the RustSec advisory database. ## Motivation [motivation]: #motivation One of the roles that crates...
RFC 3872 RFC 2025-10-27 ~5 min read
github.com
## Summary [summary]: #summary Propose a slate of 41 goals for 2025H2. ## Motivation The 2025h2 goal slate consists of 41 project goals, of which we have selected a subset as **flagship goals**. Flagship goals represent the highest priority...
RFC 3849 RFC 2025-09-22 ~30 min read
github.com
# Summary [summary]: #summary Introduce the concept of "mitigation enforcement", so that when compiling a crate with mitigations enabled (for example, `-C stack-protector`), a compilation error will happen if the produced artifact would con...
RFC 3855 RFC 2025-09-13 ~21 min read
github.com
## Summary [summary]: #summary Demote target `x86_64-apple-darwin` from Tier 1 to Tier 2 with host tools as this platform's lifetime is limited. Tier 2 with host tools means that the `x86_64-apple-darwin` target, including tools like `rustc...
RFC 3841 RFC 2025-07-23 ~4 min read
github.com
## Summary [summary]: #summary The `const` operand to `asm!` and `global_asm!` currently only accepts integers. Change it to also accept pointer values. The value must be computed during const evaluation. The operand expands to the name of...
RFC 3848 RFC 2025-07-09 ~24 min read
"Since it hasn't been said before, there is an important distinction that needs to be addressed. For anyone who has been doing embedded work for any le..."

Search tips

Type anything to search across articles, videos (including conference talks), podcasts, research, crates, and Rust API documentation. These operators give you finer control — click an example to try it.

Find pages containing all your words. Pages where the words appear together rank higher.
Quote part of your query to keep those words together as an exact phrase within a larger search.
Wrap the whole query in quotes for a verbatim search that matches text exactly, punctuation and all — perfect for Rust syntax. Needs at least 3 characters.
Put ! first to open the top result immediately. Quote the whole query for a literal leading bang, as in '!Send'. Bangs elsewhere, such as println!, stay literal. Browser and launcher shortcuts can invoke this directly. See search integrations.
Limit results to a single site. Works on its own () too. One site: per search.

Use the tabs and filters above the results to narrow by content type, publication year, and sort order.